Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class Update

    java.lang.Object
      org.hibernate.sql.Update

    public class Update

extends Object

An SQL `UPDATE` statement

Author:
  Gavin King

Constructor Summary
`Update(Dialect dialect)`

Method Summary
`Update` | `addColumn(String columnName)`
`Update` | `addColumn(String columnName, Object value, LiteralType type)`
`Update` | `addColumn(String columnName, String value)`
`Update` | `addColumns(String[] columnNames)`
`Update` | `addColumns(String[] columnNames, boolean[] updateable)`
`Update` | `addColumns(String[] columnNames, String value)`
`Update` | `addWhereColumn(String columnName)`
`Update` | `addWhereColumn(String columnName, String value)`
`Update` | `addWhereColumns(String[] columnNames)`
`Update` | `addWhereColumns(String[] columnNames, String value)`
`Update` | `appendAssignmentFragment(String fragment)`
`String` | `getTableName()`
`Update` | `setComment(String comment)`
`Update` | `setPrimaryKeyColumnNames(String[] primaryKeyColumnNames)`
`Update` | `setTableName(String tableName)`
`Update` | `setVersionColumnName(String versionColumnName)`
`Update` | `setWhere(String where)`
`String` | `toStatementString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Update

    public Update(Dialect dialect)

Method Detail

### getTableName

    public String getTableName()

### appendAssignmentFragment

    public Update appendAssignmentFragment(String fragment)

### setTableName

    public Update setTableName(String tableName)

### setPrimaryKeyColumnNames

    public Update setPrimaryKeyColumnNames(String[] primaryKeyColumnNames)

### setVersionColumnName

    public Update setVersionColumnName(String versionColumnName)

### setComment

    public Update setComment(String comment)

### addColumns

    public Update addColumns(String[] columnNames)

### addColumns

    public Update addColumns(String[] columnNames,
                             boolean[] updateable)

### addColumns

    public Update addColumns(String[] columnNames,
                             String value)

### addColumn

    public Update addColumn(String columnName)

### addColumn

    public Update addColumn(String columnName,
                            String value)

### addColumn

    public Update addColumn(String columnName,
                            Object value,
                            LiteralType type)
                     throws Exception

  Throws:
    `Exception`

### addWhereColumns

    public Update addWhereColumns(String[] columnNames)

### addWhereColumns

    public Update addWhereColumns(String[] columnNames,
                                  String value)

### addWhereColumn

    public Update addWhereColumn(String columnName)

### addWhereColumn

    public Update addWhereColumn(String columnName,
                                 String value)

### setWhere

    public Update setWhere(String where)

### toStatementString

    public String toStatementString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD